<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__read__partial__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_read_partial_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__read__partial__t_1a77e8c02e1026855cad1b04ec5733e816" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga44fcc1fe578d11d29279b92a7fcc936d">wiced_bt_gatt_auth_req_t</ref></type>
        <definition>wiced_bt_gatt_auth_req_t wiced_bt_gatt_read_partial_t::auth_req</definition>
        <argsstring />
        <name>auth_req</name>
        <briefdescription>
<para>authentication requirement (see <ref kindref="member" refid="group__wicedbt__gatt_1gabda9597f28d2e1ddbdd82b7785a4659f">wiced_bt_gatt_auth_req_t </ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="309" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="309" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__read__partial__t_1a6978067ae50e65e676090aca89ca2f7e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_read_partial_t::handle</definition>
        <argsstring />
        <name>handle</name>
        <briefdescription>
<para>handle </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="310" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="310" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__read__partial__t_1a43cf4db89e10b9589c15cbac0014cfa4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_read_partial_t::offset</definition>
        <argsstring />
        <name>offset</name>
        <briefdescription>
<para>offset </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="311" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="311" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Parameters for GATT_READ_PARTIAL. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="312" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="307" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="308" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__read__partial__t_1a77e8c02e1026855cad1b04ec5733e816" virt="non-virtual"><scope>wiced_bt_gatt_read_partial_t</scope><name>auth_req</name></member>
      <member prot="public" refid="structwiced__bt__gatt__read__partial__t_1a6978067ae50e65e676090aca89ca2f7e" virt="non-virtual"><scope>wiced_bt_gatt_read_partial_t</scope><name>handle</name></member>
      <member prot="public" refid="structwiced__bt__gatt__read__partial__t_1a43cf4db89e10b9589c15cbac0014cfa4" virt="non-virtual"><scope>wiced_bt_gatt_read_partial_t</scope><name>offset</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>